* draw multi-sine wave
* 1/14/95 Gregory L. Reichert  CIS: 74077,731


#define patterns	1

#define Yofs 	srows()/2
#define ofs 	0.05
#define xspan 	patterns*10
#define amp		30
#define ampe	30
#define inc		0.2
#define thick	.2


#define colors		"R G B RBGRBG"
#define ColorChg	(1/5)
#define Light		.t.
#define Dark		.f.

clear
@ Yofs,0 to Yofs,100 color 'N' pen 1
do drawline with Yofs,0,Yofs,100,'RGB',1,.3
do drawline with Yofs,0,Yofs,100,'RGB',5,.5
do drawline with Yofs,0,Yofs,100,'RGB',10,.8

for x=0 to 100 step OFS

	store 1 to y1,y2
	for y=1 to patterns
		y1 = y1*sin( dtor(x*(Xspan/y))       )
		y2 = y2*sin( dtor((x*(Xspan/y))+OFS) )
	next
	y1 = Yofs-y1*amp*patterns *exp(-x/ampe)
	y2 = Yofs-y2*amp*patterns *exp(-x/ampe)

	c  = substr(colors, mod(y2*ColorChg,len(colors))+1, 2)

	do drawline with y1,x, y2,x+OFS, ;
					 c, ;
					 inc, thick, Dark
endfor

return

